*! version 1.1.5  16jan2006  by Marc Muendler  muendler@ucsd.edu

local tlogyr = substr("${tlogyear}",3,2)
local selyr = substr("${selyear}",3,2)

local tlogload = ${tlogyear}
if `tlogload' > 1999  local tlogload = 1999
local selload = ${selyear}
if `selload' < 1996  local selload = 1996

tempfile iso3buba concnace cntrgrpbem

use "$root/conc/fdi-iso-country", clear
rename buba country
keep iso3code country 
sort country
compress
save `iso3buba'

use "$root/conc/sector-conc-nace", clear
sort nace11_code
compress
save `concnace'

use "$root/conc/cntry2bemgrp", clear
rename bubakey country
sort country
compress
save `cntrgrpbem'

use "$root/wages/owwdata-country-`selload'", clear
rename cntr_med_wage cntr_wage  /* country median wage (median across all occupation groups by country, ppp adjusted, lexikogrpahic) */
keep if year==${selyear}
sort country year
drop occ_obs_* 
compress
save ${oww`selyr'}

use "$root/wages/owwdata-country-`tlogload'", clear
rename cntr_med_wage cntr_wage  /* country median wage (median across all occupation groups by country, ppp adjusted, lexikogrpahic) */
keep if year==`tlogload'
sort country year
drop occ_obs_* 
compress
* save ${oww99}
replace year=${tlogyear} if year==`tlogload'
foreach var of varlist cntr_wage wage_oww_30 wage_oww_40 wage_oww_50 wage_oww_61 wage_oww_62 {
  local lbl : variable label `var'
  local lbl = subinstr("`lbl'",".","",.)
  rename `var' lag_`var'
  label var lag_`var' "Lag `lbl'"
  }
sort country year
compress
save ${oww`tlogyr'}

use "$root/wages/owwdata-country-`selload'", clear
rename cntr_med_wage cntr_wage
keep if year==${selyear}
keep if country==0  /* Germany */
foreach var of varlist cntr_wage wage_oww_30 wage_oww_40 wage_oww_50 wage_oww_61 wage_oww_62 {
  local lbl : variable label `var'
  local lbl = subinstr("`lbl'",".","",.)
  rename `var' `var'_par
  label var `var'_par "Ger `lbl'"
  }
drop occ_obs_* country
sort year
save ${homoww`selyr'}

use "$root/wages/owwdata-country-`tlogload'", clear
rename cntr_med_wage cntr_wage
keep if year==`tlogload'
keep if country==0  /* Germany */
foreach var of varlist cntr_wage wage_oww_30 wage_oww_40 wage_oww_50 wage_oww_61 wage_oww_62 {
  local lbl : variable label `var'
  local lbl = subinstr("`lbl'",".","",.)
  rename `var' `var'_par
  label var `var'_par "Ger `lbl'"
  }
drop occ_obs_* country
sort year
* save ${homoww99}
replace year=${tlogyear} if year==`tlogload'
foreach var of varlist cntr_wage wage_oww_30 wage_oww_40 wage_oww_50 wage_oww_61 wage_oww_62 {
  local lbl : variable label `var'
  local lbl = subinstr("`lbl'","per country","",.)
  local lbl = subinstr("`lbl'","Median","Med",.)
  local lbl = subinstr("`lbl'","annual","ann'l",.)
  rename `var' lag_`var'
  label var lag_`var' "Lag `lbl'"
  }
sort year
compress
save ${homoww`tlogyr'}

use "$root/wages/destatis-gearn-defl", clear /* home wage at NACE 1.1 two-digit level */
keep if year==${tlogyear} | year==${selyear}
keep nace11 year agearn_med
rename nace11 nace1
rename agearn_med mhomwage
sort nace1 year
compress
save ${homsecwag}

use "$root/wages/swewages", clear
rename bubakey country
rename wage_eur lag_cntr_wage
label var lag_cntr_wage "Lag Swedish MNE wage"
gen int year = $year
sort country year
compress
save ${swe98}

use "$root/wages/swewages", clear
rename bubakey country
keep if country==0  /* Germany */
rename wage_eur lag_cntr_wage_par
label var lag_cntr_wage_par "Lag Ger Swedish MNE wage"
gen int year = $year
sort year
compress
save ${homswe98}
